import 'package:flutter/material.dart';
import 'package:instamojo_flutter/instamojo.dart';

class InstamojoScreen extends StatefulWidget {
  final CreateOrderBody body;
  final String orderCreationUrl;
  final bool isLive;

  const InstamojoScreen(
      {Key key, this.body, this.orderCreationUrl, this.isLive = false})
      : super(key: key);

  @override
  _InstamojoScreenState createState() => _InstamojoScreenState();
}

class _InstamojoScreenState extends State<InstamojoScreen>
    implements InstamojoPaymentStatusListener {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('Instamojo Flutter'),
        ),
        body: SafeArea(
            child: Instamojo(
          listener: this,
          environment:
              widget.isLive ? Environment.PRODUCTION : Environment.TEST,
          apiCallType: ApiCallType.createOrder(
              createOrderBody: widget.body,
              orderCreationUrl: widget.orderCreationUrl),
        )));
  }

  @override
  void paymentStatus({Map<String, String> status}) {
    Navigator.pop(context, status);
  }
}
