import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:flutter/semantics.dart';
import 'package:instamojo_flutter/bloc/bloc.dart';
import 'package:instamojo_flutter/models/models.dart';

abstract class InstamojoEvent extends Equatable {
  const InstamojoEvent();
}

class CreateOrder extends InstamojoEvent {
  CreateOrderBody createOrderBody;
  String orderCreationUrl;
  CreateOrder({@required this.createOrderBody, this.orderCreationUrl});

  @override
  List<Object> get props => [];
}

class InitPayment extends InstamojoEvent {
  String orderId;
  InitPayment({@required orderId});
  @override
  List<Object> get props => [];
}

class CollectCardPayment extends InstamojoEvent {
  String url;
  Map<String, String> cardPaymentRequest;
  CollectCardPayment({this.url, this.cardPaymentRequest});
  @override
  List<Object> get props => [];
}

class SearchBankEvent extends InstamojoEvent {
  List<NetbankingOptionsChoice> banks;
  String query;
  SearchBankEvent({this.banks, this.query});
  @override
  List<Object> get props => [];
}

class CollectUPIPaymentEvent extends InstamojoEvent {
  String url;
  String vpa;
  CollectUPIPaymentEvent({this.url, this.vpa});
  @override
  List<Object> get props => [];
}

class GetUPIStatusEvent extends InstamojoEvent {
  String url;
  GetUPIStatusEvent({this.url});
  @override
  List<Object> get props => [];
}
